.\" Copyright (C) 2001 Information-technology Promotion Agency (IPA)
.\" Copyright (C) 2001-2011
.\"   National Institute of Advanced Industrial Science and Technology (AIST)
.\" This file is part of the m17n library documentation.
.\" Permission is granted to copy, distribute and/or modify this document
.\" under the terms of the GNU Free Documentation License, Version 1.2 or
.\" any later version published by the Free Software Foundation; with no
.\" Invariant Section, no Front-Cover Texts,
.\" and no Back-Cover Texts.  A copy of the license is included in the
.\" appendix entitled "GNU Free Documentation License".
.TH "m17n-dump" 1 "12 Jan 2011" "Version 1.6.2" "The m17n Library" \" -*- nroff -*-
.ad l
.nh
.SH NAME
m17n\-dump \- dump text image
.SH SYNOPSIS
m17n\-dump [ OPTION ... ] [ FILE ]
.SH "DESCRIPTION"
Dump a text as PNG image file.
.PP
The PNG file is written to a file created in the current directory with the name 'BASE.png' where BASE is the basename of FILE. If FILE is omitted, text is read from standard input, and the image is dumped into the file 'output.png'.
.PP
The following OPTIONs are available.
.PP
.IP "\(bu" 2
\-s SIZE
.PP
SIZE is the font size in point. The default font size is 12 point.
.PP

.IP "\(bu" 2
\-d DPI
.PP
DPI is the resolution in dots per inch. The default resolution is 300 dpi.
.PP

.IP "\(bu" 2
\-p PAPER
.PP
PAPER is the paper size: a4, a4r, a5, a5r, b5, b5r, letter, WxH, or W. In the case of WxH, W and H are the width and height in millimeter. In the case of W, W is the width in millimeter. If this option is specified, PAPER limits the image size. If FILE is too large for a single page, multiple files with the names 'BASE.01.png', 'BASE.02.png', etc. are created.
.PP

.IP "\(bu" 2
\-m MARGIN
.PP
MARGIN is the horizontal and vertical margin in millimeter. The default margin is 20 mm. It is ignored when PAPER is not specified.
.PP

.IP "\(bu" 2
\-c POS
.PP
POS is the character position of cursor to draw. By default, cursor is not drawn.
.PP

.IP "\(bu" 2
\-x
.PP
FILE is assumed to be an XML file generated by the serialize facility of the m17n library, and FILE is deserialized before an image is created.
.PP

.IP "\(bu" 2
\-w
.PP
Each line is broken at word boundary.
.PP

.IP "\(bu" 2
\-f FILTER
.PP
FILTER is a string containing a shell command line. If this option is specified, the PNG image is not written info a file but is given to FILTER as standard input. If FILTER contains '%s', that part is replaced by a basename of FILE. So, the default behaviour is the same as specifying 'cat >
    %s.png' as FILTER.
.PP
If FILTER is just '\-', the PNG image is written to stdout.
.PP

.IP "\(bu" 2
\-a
.PP
Enable anti\-alias drawing.
.PP

.IP "\(bu" 2
\-\-family FAMILY
.PP
Prefer a font whose family name is FAMILY.
.PP

.IP "\(bu" 2
\-\-language LANG
.PP
Prefer a font specified for the language LANG. LANG must be a 2\-letter code of ISO 630 (e.g. 'en' for English).
.PP

.IP "\(bu" 2
\-fg FOREGROUND
.PP
Specify the text color. The supported color names are those of HTML 4.0 and '#RRGGBB' notation.
.PP

.IP "\(bu" 2
\-bg BACKGROUND
.PP
Specify the background color. The supported color names are the same as FOREGROUND, except that if 'transparent' is specified, make the background transparent.
.PP

.IP "\(bu" 2
\-r
.PP
Specify that the orientation of the text is right\-to\-left.
.PP

.IP "\(bu" 2
\-q
.PP
Quiet mode. Don't print any messages.
.PP

.IP "\(bu" 2
\-\-version
.PP
Print the version number.
.PP

.IP "\(bu" 2
\-h, \-\-help
.PP
Print this message.
.SH COPYRIGHT
Copyright (C) 2001 Information\-technology Promotion Agency (IPA)
.br
Copyright (C) 2001\-2011 National Institute of Advanced Industrial Science and Technology (AIST)
.br
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License 
<http://www.gnu.org/licenses/fdl.html>.
